publish_asyncapi_docs:
  stage: release
  image: node:20.18.0-alpine
  script:
    - npm install --ignore-scripts --progress=false
    - >
      if [ "$CI_COMMIT_REF_NAME" == "master" ]; then
          export AZURE_BLOB_TENANT_ID=$AZURE_BLOB_TENANT_ID  
          export AZURE_BLOB_CLIENT_ID=$AZURE_BLOB_CLIENT_ID_PROD
          export AZURE_BLOB_CLIENT_SECRET=$AZURE_BLOB_CLIENT_SECRET_PROD
          export AZURE_BLOB_ACCOUNT=$AZURE_BLOB_ACCOUNT_PROD
          export AZURE_BLOB_CONTAINER_NAME=$AZURE_BLOB_CONTAINER_NAME_PROD
      else
          export AZURE_BLOB_TENANT_ID=$AZURE_BLOB_TENANT_ID  
          export AZURE_BLOB_CLIENT_ID=$AZURE_BLOB_CLIENT_ID_DEV
          export AZURE_BLOB_CLIENT_SECRET=$AZURE_BLOB_CLIENT_SECRET_DEV
          export AZURE_BLOB_ACCOUNT=$AZURE_BLOB_ACCOUNT_DEV
          export AZURE_BLOB_CONTAINER_NAME=$AZURE_BLOB_CONTAINER_NAME_DEV
      fi
    - npm run merge-asyncapidocs
    - npx golemio asyncapi upload --input docs/generated/asyncapi.yaml --output ./docs/asyncapi
  tags:
    - docker
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
    - if: $CI_COMMIT_BRANCH == "development"
